Index: code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/BulletDebugDrawer.h	(revision 10817)
@@ -23,27 +23,27 @@
             BulletDebugDrawer(Ogre::SceneManager* sceneManager);
             ~BulletDebugDrawer();
-            virtual void drawLine(const btVector3& from, const btVector3& to, const btVector3& color);
+            virtual void drawLine(const btVector3& from, const btVector3& to, const btVector3& color) override;
 //            virtual void drawTriangle(const btVector3& v0, const btVector3& v1, const btVector3& v2, const btVector3& color, btScalar);
-            virtual void drawSphere (const btVector3& p, btScalar radius, const btVector3& color);
-            virtual void drawSphere(btScalar radius, const btTransform& transform, const btVector3& color);
-            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btVector3& color);
-            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btTransform& trans, const btVector3& color);
-            virtual void drawCylinder(btScalar radius, btScalar halfHeight, int upAxis, const btTransform& transform, const btVector3& color);
-            virtual void drawCone(btScalar radius, btScalar height, int upAxis, const btTransform& transform, const btVector3& color);
+            virtual void drawSphere (const btVector3& p, btScalar radius, const btVector3& color) override;
+            virtual void drawSphere(btScalar radius, const btTransform& transform, const btVector3& color) override;
+            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btVector3& color) override;
+            virtual void drawBox(const btVector3& bbMin, const btVector3& bbMax, const btTransform& trans, const btVector3& color) override;
+            virtual void drawCylinder(btScalar radius, btScalar halfHeight, int upAxis, const btTransform& transform, const btVector3& color) override;
+            virtual void drawCone(btScalar radius, btScalar height, int upAxis, const btTransform& transform, const btVector3& color) override;
 //            virtual void drawPlane(const btVector3& planeNormal, btScalar planeConst, const btTransform& transform, const btVector3& color);
 
-            virtual void drawContactPoint(const btVector3& PointOnB, const btVector3& normalOnB, btScalar distance, int lifeTime, const btVector3& color);
+            virtual void drawContactPoint(const btVector3& PointOnB, const btVector3& normalOnB, btScalar distance, int lifeTime, const btVector3& color) override;
 
-            virtual void reportErrorWarning(const char* warningString);
-            virtual void draw3dText(const btVector3& location, const char* textString);
+            virtual void reportErrorWarning(const char* warningString) override;
+            virtual void draw3dText(const btVector3& location, const char* textString) override;
 
-            virtual void setDebugMode(int debugMode);
-            virtual int getDebugMode() const;
+            virtual void setDebugMode(int debugMode) override;
+            virtual int getDebugMode() const override;
 
             void configure(bool bFill, float fillAlpha);
 
         protected:
-            bool frameStarted(const Ogre::FrameEvent& evt);
-            bool frameEnded(const Ogre::FrameEvent& evt);
+            bool frameStarted(const Ogre::FrameEvent& evt) override;
+            bool frameEnded(const Ogre::FrameEvent& evt) override;
 
         private:
Index: code/branches/cpp11_v2/src/libraries/tools/DynamicLines.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/DynamicLines.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/DynamicLines.h	(revision 10817)
@@ -84,7 +84,7 @@
     protected:
         /// Implementation DynamicRenderable, creates a simple vertex-only decl
-        virtual void createVertexDeclaration();
+        virtual void createVertexDeclaration() override;
         /// Implementation DynamicRenderable, pushes point list out to hardware memory
-        virtual void fillHardwareBuffers();
+        virtual void fillHardwareBuffers() override;
 
     private:
Index: code/branches/cpp11_v2/src/libraries/tools/DynamicRenderable.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/DynamicRenderable.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/DynamicRenderable.h	(revision 10817)
@@ -61,7 +61,7 @@
 
         /// Implementation of SimpleRenderable
-        virtual Real getBoundingRadius(void) const;
+        virtual Real getBoundingRadius(void) const override;
         /// Implementation of SimpleRenderable
-        virtual Real getSquaredViewDepth(const Camera* cam) const;
+        virtual Real getSquaredViewDepth(const Camera* cam) const override;
 
     protected:
Index: code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/ParticleInterface.h	(revision 10817)
@@ -76,5 +76,5 @@
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
Index: code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10817)
@@ -44,5 +44,5 @@
         virtual ~ResourceCollection();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setResourceGroup(const std::string& resourceGroup);
Index: code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10817)
@@ -46,5 +46,5 @@
         virtual ~ResourceLocation();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setPath(const std::string& path) { path_ = path; }
Index: code/branches/cpp11_v2/src/libraries/tools/Shader.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/Shader.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/Shader.h	(revision 10817)
@@ -87,10 +87,10 @@
                 { return this->scenemanager_; }
 
-            virtual void cameraChanged(Ogre::Viewport* viewport, Ogre::Camera* oldCamera);
+            virtual void cameraChanged(Ogre::Viewport* viewport, Ogre::Camera* oldCamera) override;
 
             void setParameter(unsigned short technique, unsigned short pass, const std::string& parameter, float value);
             void setParameter(unsigned short technique, unsigned short pass, const std::string& parameter, int value);
 
-            virtual void notifyMaterialRender(Ogre::uint32 pass_id, Ogre::MaterialPtr& materialPtr);
+            virtual void notifyMaterialRender(Ogre::uint32 pass_id, Ogre::MaterialPtr& materialPtr) override;
 
         private:
Index: code/branches/cpp11_v2/src/libraries/tools/Timer.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/Timer.h	(revision 10769)
+++ code/branches/cpp11_v2/src/libraries/tools/Timer.h	(revision 10817)
@@ -175,5 +175,5 @@
 
         protected:
-            virtual float getTimeFactor();
+            virtual float getTimeFactor() override;
     };
 }
